import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/bank/sealhandover/page',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDownloadList = (params) => {
  return request({
    url: '/api/bank/sealhandover/getList',
    method: 'get',
    params: {
      ...params,
    }
  })
}

export const getOrgsSealhandoverCount = () => {
  return request({
    url: '/api/bank/sealhandover/getOrgsSealhandoverCount',
    method: 'get',
    params: {
    }
  })
}

export const getKeepList = (current, size, params) => {
  return request({
    url: '/api/bank/sealhandover/getKeepList',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/bank/sealhandover/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const getByNoAndType = (sealNo, sealType, orgNo) => {
  return request({
    url: '/api/bank/sealhandover/getByNoAndType',
    method: 'get',
    params: {
      sealNo, sealType, orgNo
    }
  })
}

export const remove = (ids) => {
  return request({
    url: '/api/bank/sealhandover/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/bank/sealhandover/submit',
    method: 'post',
    data: row
  })
}

export const sure = (row) => {
  return request({
    url: '/api/bank/sealhandover/sure',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/bank/sealhandover/submit',
    method: 'post',
    data: row
  })
}

export const getCurrentUserKeepList = () => {
  return request({
    url: '/api/bank/sealhandover/getCurrentUserKeepList',
    method: 'get',
  })
}

